Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90	(revision 5113)
@@ -355,5 +355,5 @@
   icbmax = 2
   DO i = 1, len
-    ! !        icbmax=max(icbmax,icb(i))
+    !        icbmax=max(icbmax,icb(i))
     IF (iflag(i)<7) icbmax = max(icbmax, icb(i)) ! sb Jun7th02
   END DO
@@ -489,5 +489,5 @@
 
   ! Re-compute icbsmax (icbsmax2):        !convect3
-  ! !convect3
+  !convect3
   icbsmax2 = 2 !convect3
   DO i = 1, len !convect3
@@ -1691,18 +1691,18 @@
   END DO
 
-  ! !      if(inb.lt.(nl-1))then
-  ! !         do 85 i=inb+1,nl-1
-  ! !            sig(i)=beta*sig(i)+2.*alpha*buoy(inb)*
-  ! !     1              abs(buoy(inb))
-  ! !            sig(i)=amax1(sig(i),0.0)
-  ! !            w0(i)=beta*w0(i)
-  ! !   85    continue
-  ! !      end if
-
-  ! !      do 87 i=1,icb
-  ! !         sig(i)=beta*sig(i)-2.*alpha*buoy(icb)*buoy(icb)
-  ! !         sig(i)=amax1(sig(i),0.0)
-  ! !         w0(i)=beta*w0(i)
-  ! !   87 continue
+  !      if(inb.lt.(nl-1))then
+  !         do 85 i=inb+1,nl-1
+  !            sig(i)=beta*sig(i)+2.*alpha*buoy(inb)*
+  !     1              abs(buoy(inb))
+  !            sig(i)=amax1(sig(i),0.0)
+  !            w0(i)=beta*w0(i)
+  !   85    continue
+  !      end if
+
+  !      do 87 i=1,icb
+  !         sig(i)=beta*sig(i)-2.*alpha*buoy(icb)*buoy(icb)
+  !         sig(i)=amax1(sig(i),0.0)
+  !         w0(i)=beta*w0(i)
+  !   87 continue
 
   ! -------------------------------------------------------------
@@ -1787,31 +1787,31 @@
 
 
-  ! !      cape=0.0
-  ! !      do 98 i=icb+1,inb
-  ! !         deltap = min(pbase,ph(i-1))-min(pbase,ph(i))
-  ! !         cape=cape+rrd*buoy(i-1)*deltap/p(i-1)
-  ! !         dcape=rrd*buoy(i-1)*deltap/p(i-1)
-  ! !         dlnp=deltap/p(i-1)
-  ! !         cape=amax1(0.0,cape)
-  ! !         sigold=sig(i)
-
-  ! !         dtmin=100.0
-  ! !         do 97 j=icb,i-1
-  ! !            dtmin=amin1(dtmin,buoy(j))
-  ! !   97    continue
-
-  ! !         sig(i)=beta*sig(i)+alpha*dtmin*abs(dtmin)
-  ! !         sig(i)=amax1(sig(i),0.0)
-  ! !         sig(i)=amin1(sig(i),0.01)
-  ! !         fac=amin1(((dtcrit-dtmin)/dtcrit),1.0)
-  ! !         w=(1.-beta)*fac*sqrt(cape)+beta*w0(i)
-  ! !         amu=0.5*(sig(i)+sigold)*w
-  ! !         m(i)=amu*0.007*p(i)*(ph(i)-ph(i+1))/tv(i)
-  ! !         w0(i)=w
-  ! !   98 continue
-  ! !      w0(icb)=0.5*w0(icb+1)
-  ! !      m(icb)=0.5*m(icb+1)*(ph(icb)-ph(icb+1))/(ph(icb+1)-ph(icb+2))
-  ! !      sig(icb)=sig(icb+1)
-  ! !      sig(icb-1)=sig(icb)
+  !      cape=0.0
+  !      do 98 i=icb+1,inb
+  !         deltap = min(pbase,ph(i-1))-min(pbase,ph(i))
+  !         cape=cape+rrd*buoy(i-1)*deltap/p(i-1)
+  !         dcape=rrd*buoy(i-1)*deltap/p(i-1)
+  !         dlnp=deltap/p(i-1)
+  !         cape=amax1(0.0,cape)
+  !         sigold=sig(i)
+
+  !         dtmin=100.0
+  !         do 97 j=icb,i-1
+  !            dtmin=amin1(dtmin,buoy(j))
+  !   97    continue
+
+  !         sig(i)=beta*sig(i)+alpha*dtmin*abs(dtmin)
+  !         sig(i)=amax1(sig(i),0.0)
+  !         sig(i)=amin1(sig(i),0.01)
+  !         fac=amin1(((dtcrit-dtmin)/dtcrit),1.0)
+  !         w=(1.-beta)*fac*sqrt(cape)+beta*w0(i)
+  !         amu=0.5*(sig(i)+sigold)*w
+  !         m(i)=amu*0.007*p(i)*(ph(i)-ph(i+1))/tv(i)
+  !         w0(i)=w
+  !   98 continue
+  !      w0(icb)=0.5*w0(icb+1)
+  !      m(icb)=0.5*m(icb+1)*(ph(icb)-ph(icb+1))/(ph(icb+1)-ph(icb+2))
+  !      sig(icb)=sig(icb+1)
+  !      sig(icb-1)=sig(icb)
 
 
@@ -2798,5 +2798,5 @@
   ! enddo
   ! enddo
-  ! ! RomP >>>
+  ! RomP >>>
   DO i = 1, nd
     DO il = 1, ncum
@@ -2805,5 +2805,5 @@
     END DO
   END DO
-  ! ! RomP <<<
+  ! RomP <<<
 
   ! ***  check whether ep(inb)=0, if so, skip precipitating    ***
@@ -3683,8 +3683,8 @@
   ! ***  NE PAS UTILISER POUR L'INSTANT ***
 
-  ! !      do il=1,ncum
-  ! !        wd(il)=betad*abs(mp(il,icb(il)))*0.01*rrd*t(il,icb(il))
-  ! !     :                                  /(sigd*p(il,icb(il)))
-  ! !      enddo
+  !      do il=1,ncum
+  !        wd(il)=betad*abs(mp(il,icb(il)))*0.01*rrd*t(il,icb(il))
+  !     :                                  /(sigd*p(il,icb(il)))
+  !      enddo
 
 
@@ -5922,5 +5922,5 @@
   ! *** diagnose the in-cloud mixing ratio   ***            ! cld
   ! ***           of condensed water         ***            ! cld
-  ! ! cld
+  ! cld
 
   DO i = 1, nd ! cld
@@ -5984,5 +5984,5 @@
 END SUBROUTINE cv30_yield
 
-! !RomP >>>
+!RomP >>>
 SUBROUTINE cv30_tracer(nloc, len, ncum, nd, na, ment, sij, da, phi, phi2, &
     d1a, dam, ep, vprecip, elij, clw, epmlmmm, eplamm, icb, inb)
@@ -6042,7 +6042,7 @@
       DO i = 1, ncum
         IF (k>=icb(i) .AND. k<=inb(i) .AND. j<=inb(i)) THEN
-          ! !jyg             epm(i,j,k)=1.-(1.-ep(i,j))*clw(i,j)/elij(i,k,j)
+          !jyg             epm(i,j,k)=1.-(1.-ep(i,j))*clw(i,j)/elij(i,k,j)
           epm(i, j, k) = 1. - (1.-ep(i,j))*clw(i, j)/max(elij(i,k,j), 1.E-16)
-          ! !
+          !
           epm(i, j, k) = max(epm(i,j,k), 0.0)
         END IF
@@ -6353,5 +6353,5 @@
                 ,cape,ep,hp,icb,inb,clw,nk,t,h,lv &
                 ,epmax_diag)
-        implicit none
+        IMPLICIT NONE
 
         ! On fait varier epmax en fn de la cape
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5113)
@@ -7600,5 +7600,5 @@
                  , pbase, p, ph, tv, buoy, sig, w0,iflag &
                  , epmax_diag)
-        implicit none
+        IMPLICIT NONE
 
         ! On fait varier epmax en fn de la cape
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_routines.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_routines.F90	(revision 5113)
@@ -1631,5 +1631,5 @@
   ! *** diagnose the in-cloud mixing ratio   ***            ! cld
   ! ***           of condensed water         ***            ! cld
-  ! ! cld
+  ! cld
   DO ij = 1, ncum ! cld
     DO i = 1, nd ! cld
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5113)
@@ -29,5 +29,5 @@
 &       uncompress_ilp_zone
 #endif
-implicit none
+IMPLICIT NONE
 
 ! inputs
@@ -866,5 +866,5 @@
 USE isotopes_verif_mod
 #endif
-implicit none
+IMPLICIT NONE
 
 ! calcul de Rsol et Revap lors de l'évaporation de l'eau du sol
@@ -1315,5 +1315,5 @@
 SUBROUTINE calcul_kcin(Vsurf,KCIN)
 USE isotopes_mod, ONLY: tv0cin,tkcin0,tkcin1,tkcin2
-implicit none
+IMPLICIT NONE
 ! calcul de kcin en fonction de Vsurf
 
@@ -1348,5 +1348,5 @@
 USE isotopes_verif_mod
 #endif
-      implicit none
+      IMPLICIT NONE
 
 !C-------------------------------------------------------------------------
@@ -1475,5 +1475,5 @@
 USE isotopes_verif_mod
 #endif
-      implicit none
+      IMPLICIT NONE
 
 !C-------------------------------------------------------------------------
@@ -1538,5 +1538,5 @@
 USE isotopes_verif_mod
 #endif
-      implicit none
+      IMPLICIT NONE
 
 !C-------------------------------------------------------------------------
@@ -1646,5 +1646,5 @@
 USE isotopes_verif_mod
 #endif
-      implicit none
+      IMPLICIT NONE
 
 !C-------------------------------------------------------------------------
@@ -1817,5 +1817,5 @@
 USE isotopes_verif_mod
 #endif
-      implicit none
+      IMPLICIT NONE
 
 !C-------------------------------------------------------------------------
@@ -1895,5 +1895,5 @@
 USE isotopes_verif_mod
 #endif
-      implicit none
+      IMPLICIT NONE
 
 !C-------------------------------------------------------------------------
@@ -2034,5 +2034,5 @@
 USE isotopes_verif_mod
 #endif
-implicit none
+IMPLICIT NONE
 
 ! calcul de Rsol
@@ -2246,5 +2246,5 @@
 USE isotrac_mod, ONLY: index_iso
 #endif
- implicit none
+ IMPLICIT NONE
 ! inputs
 integer i
@@ -2454,5 +2454,5 @@
         USE isotopes_verif_mod
 #endif
-implicit none
+IMPLICIT NONE
 
 ! version véctorisée: sur les isotopes et sur les points de
@@ -4411,5 +4411,5 @@
 USE isotopes_verif_mod
 #endif
-implicit none
+IMPLICIT NONE
 
 ! idem que stewart_loop, mais pour la rrévap de la glace.
@@ -4568,5 +4568,5 @@
 USE isotopes_verif_mod
 #endif
-implicit none
+IMPLICIT NONE
 
 ! rrévap de la glace.
@@ -4809,5 +4809,5 @@
 USE isotopes_verif_mod
 #endif
-         implicit none
+         IMPLICIT NONE
 
          ! compression des variables en tableaux spécifiques pour le
@@ -4967,5 +4967,5 @@
 USE isotopes_verif_mod
 #endif
-         implicit none 
+         IMPLICIT NONE
 
          ! des compressions des cas de calcul de J dans stewart_explicit
@@ -5012,5 +5012,5 @@
 USE isotopes_verif_mod
 #endif
-         implicit none 
+         IMPLICIT NONE
 
          ! decompression des outputs communs à tous les cas dans
@@ -5076,5 +5076,5 @@
 USE isotopes_verif_mod
 #endif
-         implicit none
+         IMPLICIT NONE
 
          ! compression dans le cas condensation_facftmr
@@ -5151,5 +5151,5 @@
 USE isotopes_verif_mod
 #endif
-         implicit none
+         IMPLICIT NONE
 
          ! compression dans le cas condensation_facftmr
@@ -5224,5 +5224,5 @@
 USE isotopes_verif_mod
 #endif
-         implicit none
+         IMPLICIT NONE
 
          ! compression dans le cas condensation_facftmr
@@ -5293,5 +5293,5 @@
 USE isotopes_verif_mod
 #endif
-         implicit none
+         IMPLICIT NONE
 
          ! compression dans le cas condensation_facftmr
@@ -5465,5 +5465,5 @@
 #endif
 #endif
-         implicit none
+         IMPLICIT NONE
 
          ! compression dans le cas condensation_facftmr
@@ -5594,5 +5594,5 @@
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
 
-         implicit none
+         IMPLICIT NONE
 
         ! inputs         
@@ -5628,5 +5628,5 @@
 
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
-         implicit none
+         IMPLICIT NONE
 
          integer ncas
@@ -5665,5 +5665,5 @@
 
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
-         implicit none
+         IMPLICIT NONE
 
          integer ncas
@@ -5719,5 +5719,5 @@
 USE isotopes_verif_mod
 #endif
-         implicit none
+         IMPLICIT NONE
 
         ! inputs         
@@ -5794,5 +5794,5 @@
   USE isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! version vectorisée en ncas. La vesrion _bak23fev2008 était
@@ -5817,5 +5817,5 @@
         
         ! **locals
-        ! ! nombre max d'itération dans integrale rieman
+        ! nombre max d'itération dans integrale rieman
         integer j
         integer il,ixt,k
@@ -6002,5 +6002,5 @@
 #endif
 #endif
-      implicit none
+      IMPLICIT NONE
 
       !*inputs et outputs
@@ -6503,5 +6503,5 @@
 #endif  
               endif !if (T(il,i).ge.ztglace_kelvin) then
-          endif ! !if (Eqi_prime.lt.0.0) then
+          endif !if (Eqi_prime.lt.0.0) then
        endif !if (i.le.inb(il) .and. lwork(il)) then 
       enddo  !do il=1,ncum 
@@ -7567,5 +7567,5 @@
 USE isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -7934,5 +7934,5 @@
 USE isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -8138,5 +8138,5 @@
 USE isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -8276,5 +8276,5 @@
 USE isotrac_mod, only: ridicule_trac
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -8810,5 +8810,5 @@
 USE isotopes_verif_mod
 #endif
-      implicit none
+      IMPLICIT NONE
 
         ! inputs
@@ -9211,5 +9211,5 @@
 #endif
 #endif
-      implicit none
+      IMPLICIT NONE
 
       !*inputs et outputs
@@ -9786,5 +9786,5 @@
 !#endif  
               endif !if (T(il,i).ge.ztglace_kelvin) then
-          endif ! !if (Eqi_prime.lt.0.0) then
+          endif !if (Eqi_prime.lt.0.0) then
        endif !if (i.le.inb(il) .and. lwork(il)) then 
       enddo  !do il=1,ncum 
@@ -10902,5 +10902,5 @@
 USE isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -11054,5 +11054,5 @@
 #endif
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -11648,5 +11648,5 @@
 USE isotopes_verif_mod
 #endif
-      implicit none
+      IMPLICIT NONE
 
         ! inputs
@@ -12076,5 +12076,5 @@
     USE isotopes_verif_mod
 #endif 
-        implicit none
+        IMPLICIT NONE
 
         ! version vectorisée de condiso_liq_ice
@@ -12313,5 +12313,5 @@
 #endif
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! version vectorisée de condiso_liq_ice
@@ -12768,5 +12768,5 @@
 USE isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! on s'interresse à l'isotope ixt.
@@ -12940,5 +12940,5 @@
 
     USE isotopes_mod, ONLY: pxtmelt,pxtice
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -12971,5 +12971,5 @@
     USE isotrac_mod, ONLY: izone_cont,index_zone,index_iso
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! gestion de la neige: on precipte dessus, sublime, effondre,
@@ -13541,5 +13541,5 @@
 &       bassin_map
 #endif
-        implicit none
+        IMPLICIT NONE
 
  include "YOETHF.h"
@@ -13864,5 +13864,5 @@
 &       bassin_map
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -14116,5 +14116,5 @@
 &       bassin_map
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -14456,5 +14456,5 @@
 #endif
 
-        implicit none
+        IMPLICIT NONE
 
  include "YOETHF.h"
@@ -15867,5 +15867,5 @@
   USE isotopes_verif_mod
 #endif
-       implicit none   
+       IMPLICIT NONE
 
       ! equivalent de phyetat0 pour les isotopes  
@@ -16044,5 +16044,5 @@
   USE isotrac_mod, ONLY: index_iso,index_zone,izone_init
 #endif
-        implicit none
+        IMPLICIT NONE
 
  include "dimsoil.h"
@@ -16633,5 +16633,5 @@
         USE isotopes_verif_mod
 #endif
-      implicit none
+      IMPLICIT NONE
 
 ! input
@@ -17952,5 +17952,5 @@
         USE isotopes_verif_mod
 #endif
-      implicit none
+      IMPLICIT NONE
 
 !     Arguments
@@ -18080,5 +18080,5 @@
       use phys_cal_mod ! pour le calendrier
       use isotopes_mod, only: nessai, day_nucl, month_nucl, year_nucl
-      implicit none
+      IMPLICIT NONE
 
       ! Arguments
@@ -18152,5 +18152,5 @@
         USE isotopes_verif_mod
 #endif
-      implicit none
+      IMPLICIT NONE
 
 !     Arguments
@@ -18230,5 +18230,5 @@
         USE isotopes_verif_mod
 #endif
-      implicit none
+      IMPLICIT NONE
 
  include "dimensions.h"  ! pour avoir iim et jjm
@@ -18372,5 +18372,5 @@
         USE isotopes_verif_mod
 #endif
-      implicit none
+      IMPLICIT NONE
 
 !     Arguments
@@ -18516,5 +18516,5 @@
     USE isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! version vectorisée de condiso_liq_ice
@@ -18646,5 +18646,5 @@
 USE isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! version vectorisée de condiso_liq_ice
@@ -18780,5 +18780,5 @@
         USE isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -18840,5 +18840,5 @@
 USE isotopes_verif_mod
 #endif
-implicit none
+IMPLICIT NONE
 
 
@@ -18892,5 +18892,5 @@
 
 use infotrac_phy, ONLY: nqtot,nqo,ivap,iliq,isol,iqIsoPha,ntraciso=>ntiso
-implicit none
+IMPLICIT NONE
 
 ! inputs
@@ -18932,5 +18932,5 @@
 
 use infotrac_phy, ONLY: nqtot,nqo,ivap,iliq,isol,iqIsoPha,ntraciso=>ntiso
-implicit none
+IMPLICIT NONE
 
 ! inputs
